# Uses of Enum Class
org.apache.sysds.hops.fedplanner.FTypes.FType

Packages that use FTypes.FType
Package
Description
org.apache.sysds.hops.fedplanner
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.instructions.fed

## Uses of FTypes.FType in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FTypes.FType
Modifier and Type
Method
Description
`static FTypes.FType`
FTypes.FType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FTypes.FType[]`
FTypes.FType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.fedplanner with parameters of type FTypes.FType
Modifier and Type
Method
Description
`boolean`
FTypes.FType.`isType(FTypes.FType t)`
`static void`
FederatedPlannerLogger.`logDataOpFTypeDebug(Hop hop, FTypes.FType fType, String opType, String reason)`
Logs FType debug information for DataOp operations (FEDERATED, TRANSIENTWRITE, TRANSIENTREAD)
`static void`
FederatedPlannerLogger.`logFTypeMismatchError(Hop hop, List<Hop> filteredChildHops, Map<Long,FTypes.FType> fTypeMap, FTypes.FType expectedFType, FTypes.FType mismatchedFType, int mismatchIndex)`
Logs detailed FType mismatch error information for TransRead hop
`static void`
FederatedPlannerLogger.`logGetFederatedTypeDebug(Hop hop, FTypes.FType returnFType, String reason)`
Logs debug information for getFederatedType function
Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FTypes.FType
Modifier and Type
Method
Description
`static void`
FederatedPlannerLogger.`logFTypeMismatchError(Hop hop, List<Hop> filteredChildHops, Map<Long,FTypes.FType> fTypeMap, FTypes.FType expectedFType, FTypes.FType mismatchedFType, int mismatchIndex)`
Logs detailed FType mismatch error information for TransRead hop

## Uses of FTypes.FType in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type FTypes.FType
Modifier and Type
Method
Description
`boolean`
CacheableData.`isFederated(FTypes.FType type)`
`boolean`
CacheableData.`isFederatedExcept(FTypes.FType type)`

## Uses of FTypes.FType in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type FTypes.FType
Modifier and Type
Method
Description
`boolean`
ExecutionContext.`isFederated(CPOperand input, FTypes.FType type)`

## Uses of FTypes.FType in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return FTypes.FType
Modifier and Type
Method
Description
`FTypes.FType`
FederationMap.`getType()`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type FTypes.FType
Modifier and Type
Method
Description
`FederationMap`
FederationMap.`copyWithNewIDAndRange(int[][] ix, long outputID, FTypes.FType type)`
`FederationMap`
FederationMap.`copyWithNewIDAndRange(long rowRangeEnd, long colRangeEnd, long outputID, FTypes.FType type)`
`boolean`
MatrixLineagePair.`isFederated(FTypes.FType ftype)`
`boolean`
MatrixLineagePair.`isFederatedExcept(FTypes.FType ftype)`
`void`
FederationMap.`setType(FTypes.FType type)`
Method parameters in org.apache.sysds.runtime.controlprogram.federated with type arguments of type FTypes.FType
Modifier and Type
Method
Description
`static MatrixBlock`
FederationUtils.`aggMinMax(Future<FederatedResponse>[] ffr, boolean isMin, boolean isScalar, Optional<FTypes.FType> fedType)`
Constructors in org.apache.sysds.runtime.controlprogram.federated with parameters of type FTypes.FType
Modifier
Constructor
Description
``
`FederationMap(long ID, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, FTypes.FType type)`

## Uses of FTypes.FType in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type FTypes.FType
Modifier and Type
Method
Description
`static boolean`
SpoofFEDInstruction.`isFederated(ExecutionContext ec, FTypes.FType type, CPOperand[] inputs, Class<?> scla)`
`org.apache.commons.lang3.tuple.Pair<FederationMap,Long>`
ReorgFEDInstruction.`rollFedMap(List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> oldMap, long inID, long outEndID, long outStartID, long shift, long rlen, FTypes.FType type)`